Subject: Re: b20: BUG sh configure makes a mess (win98)
From: [email-masked] (Stipe Tolj)

6 Nov 1998 23:36:18 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], GNU-Win32 <[email-masked]>

> > I am trying to compile several programs and i arrived to the conclusion
> > that configure
> > doesn't work properly on b20.
> >
> > I ALWAYS get a mess, and the resulting config.h is full of #undef when
> > it shouldn't.
> > I have check several things and most of the 'if test' doesn't work as
> > they should.
> > the grep program should return 1 or 0 and sometimes it doesn't return
> > anything on the configure,
> > which make it think there is not such thing.
> >
> > After several assignation on the configure, it seems that it does not
> > assign any more, things like...
> > whatever = `echo blalbla`
> > in a bucle, works for 20 times, and then after several times in the
> > loop, it stop working and
> > whatever gets = nothing.
>
> as I have reported, this seems to be a bug within the "sh.exe", since the
> forking of the configure script is calling a own sh for every
>
>     whatever = `echo blabla`
>
> after some (20 or 30) calls within the loop it gets boggus.
>
> Regards,
> Stipe
>
> --
> Stipe Tolj <[email-masked]>
> Cygwin Porting Project
> Department of Economical Computer Science
> University of Cologne, Germany
> http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".